<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Product extends Model 
{

    protected $table = 'products';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function orders()
    {
        return $this->belongsToMany('App\Models\Order');
    }

    public function stocks()
    {
        return $this->belongsToMany('App\Models\Stock');
    }

}